package com.jay.monitor.data.server.store.es;

import com.jay.monitor.data.server.models.entity.es.AlertRuleConfigIndex;
import com.jay.monitor.data.server.models.store.AlertRuleConfig;
import com.jay.monitor.data.server.store.IAlertRuleProcess;
import org.springframework.stereotype.Component;

/**
 * 告警规则
 *
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 * @date 2021/9/7 - 15:01
 */
@Component
public class ElasticAlertRuleProcess extends AbstractCRUDElasticSearch<AlertRuleConfigIndex, AlertRuleConfig>
    implements IAlertRuleProcess {

    @Override
    public Class<AlertRuleConfigIndex> getEntityClazz() {
        return AlertRuleConfigIndex.class;
    }

    @Override
    public Class<AlertRuleConfig> getReqClazz() {
        return AlertRuleConfig.class;
    }

}
